import { Fetcher, Unsubscribable } from '@graphiql/toolkit';
import { ReactNode } from 'react';
export declare type ExecutionContextType = {
    isFetching: boolean;
    operationName: string | null;
    run(): void;
    stop(): void;
    subscription: Unsubscribable | null;
};
export declare const ExecutionContext: import("react").Context<ExecutionContextType | null>;
declare type ExecutionContextProviderProps = {
    children: ReactNode;
    fetcher: Fetcher;
    operationName?: string;
};
export declare function ExecutionContextProvider(props: ExecutionContextProviderProps): JSX.Element;
export declare const useExecutionContext: {
    (options: {
        nonNull: true;
        caller?: Function | undefined;
    }): ExecutionContextType;
    (options: {
        nonNull?: boolean | undefined;
        caller?: Function | undefined;
    }): ExecutionContextType | null;
    (): ExecutionContextType | null;
};
export {};
